gnutls_deinit(3)

NAME
gnutls_deinit - This function clears all buffers associated with a session

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_deinit(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
This function clears all buffers associated with the session. This function will also remove session data from the session database if the session was terminated abnormally.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.